Bug 1195350 (CVE-2015-2041) - CVE-2015-2041 kernel: llc: information leak in llc2_timeout_table
Summary: CVE-2015-2041 kernel: llc: information leak in llc2_timeout_table
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-2041
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1195357
TreeView+ depends on / blocked
 
Reported: 2015-02-23 16:01 UTC by Martin Prpič
Modified: 2019-09-29 13:28 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-12 12:40:36 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-02-23 16:01:26 UTC
A flaw was found in the method that the linux kernel handles userspace configuration of  of the the Linux kernel's logical link control (LLC) implementation  system settings. The incorrect handling allowed a trusted user to set multiple LLC syscalls with specially formatted data.  Reading from these files also returned data from other sysctl settings that would be exposed via the same permissions to this user.

This bug provides little risk to users as the values that can be modified are exposed via proc sysctls with the same permissions.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6b8d9117ccb4f81b1244aafa7bc70ef8fa45fc49

Comment 1 Wade Mealing 2015-03-11 06:03:37 UTC
Statement:

This issue does not affect the versions of the kernel as shipped with Red Hat Enterprise Linux 5, 6 and 7, MRG and realtime kernels.


Note You need to log in before you can comment on or make changes to this bug.